import { Skeleton } from "@mui/material";

function MultilineLoading({ loading, width, height, children, line }) {
  return loading
    ? Array(line)
        .fill({})
        .map((_, idx) => (
          <Skeleton
            className={`${width === "full" ? "!w-full" : ""} !my-2`}
            variant="rounded"
            height={height}
            width={width}
            key={idx}
          />
        ))
    : children;
}

export default MultilineLoading;
